#ifndef Lab_FunctionCatalog_h
#define Lab_FunctionCatalog_h

// Inheritance :
#include <AIDA/IFunctionCatalog.h>

namespace AIDA {
  class IFunction;
}

class ISession;

namespace Lab {

class FunctionCatalog : public virtual AIDA::IFunctionCatalog {
public: //AIDA/IFunctionCatalog
  virtual bool add(std::string,AIDA::IFunction*);
  virtual bool add(std::string,const std::string&);
  virtual std::vector<std::string> list();
  virtual void remove(const std::string&);
  virtual bool storeAll(const std::string&);
  virtual bool loadAll(const std::string&);
public:
  FunctionCatalog(ISession&);
  virtual ~FunctionCatalog();
private:
  ISession& fSession;
};

}

#endif
