#ifndef Lab_MidnightFitter_h
#define Lab_MidnightFitter_h

/*
 * Lab encapsulation of the Midnight optimizer.
 * 
 */

// Inheritance :
#include <Lab/Core/BaseFitter.h>

namespace Lab {

class MidnightFitter : public BaseFitter {
public: //IManagedObject
  virtual void* cast(const std::string&) const;
public: //Lab::BaseFitter :
  virtual bool baseFit(AIDA::IFunction&,
                       const std::vector<double>&,
                       const std::vector<double>&,
                       const std::vector<double>&,
                       double&,std::vector<double>&);
public:
  MidnightFitter(IPrinter&,AIDA::IFunctionFactory&);
  virtual ~MidnightFitter();
private:
  static void function(int&,double*,double&,double*,int,void*);
};

}

#endif
