#ifndef Lab_MinuitFitter_h
#define Lab_MinuitFitter_h

/*
 * Lab encapsulation of the LCG/MinuitC++ optimizer.
 * 
 */

// Inheritance :
#include <Lab/Core/BaseFitter.h>

namespace Lab {

class MinuitFitter : public BaseFitter {
public: //IManagedObject
  virtual void* cast(const std::string&) const;
public: //Lab::BaseFitter :
  virtual bool baseFit(AIDA::IFunction&,
                       const std::vector<double>&,
                       const std::vector<double>&,
                       const std::vector<double>&,
                       double&,std::vector<double>&);
public:
  MinuitFitter(IPrinter&,AIDA::IFunctionFactory&);
  virtual ~MinuitFitter();
};

}

#endif
