#ifndef Lab_amanipT_h
#define Lab_amanipT_h

#include <AIDA/IManagedObject.h>
#include <Lib/Cast.h>

namespace Lab {

template <class T>
std::string aida_object_name(const T& aObject) {
  AIDA::IManagedObject* mobject = Lib_Cast(aObject,AIDA::IManagedObject);
  if(!mobject) return "";
  return mobject->name();
}

}

#endif
