#ifndef Lab_Unit_h
#define Lab_Unit_h

#include <string>
#include <stdio.h> //FILE //FIXME

namespace Lab {

class Unit {
public:
  enum Type {
    NONE = 0,
    TREE = 1,
    METAFILE = 1,
    MASK = 2
  };
  Unit();
  Unit(FILE*,const std::string&);
  Unit(const std::string&);
  Unit(const Unit&);
  Unit& operator =(const Unit&);
  bool isFILE() const;
  bool equal(const Unit&) const;
public: //FIXME
  FILE* fFILE;
  std::string fString;
  Type fType;
};

}

bool operator==(const Lab::Unit&,const Lab::Unit&);
bool operator!=(const Lab::Unit&,const Lab::Unit&);

#endif
