@ECHO off
SETLOCAL

REM #//////////////////////////////////////////////////////////
REM #// Used by OpenPAW to produce dll for FORTRAN function. //
REM #//////////////////////////////////////////////////////////

IF DEFINED PLATFORMBIN GOTO platformbin_defined
 SET lib_bin_dir=%LIBBINDIR%
 SET lab_bin_dir=%LABBINDIR%
GOTO next
:platformbin_defined
 SET lib_bin_dir=%LIBROOT%\%PLATFORMBIN%
 SET lab_bin_dir=%LABROOT%\%PLATFORMBIN%
:next

SET bin=
SET FNAME=%1%
SET CNAME=%2%

REM ECHO %FNAME%
REM ECHO %CNAME%

IF EXIST %bin%%FNAME%.obj DEL %bin%%FNAME%.obj
IF EXIST %bin%%CNAME%.obj DEL %bin%%CNAME%.obj
IF EXIST %bin%%FNAME%.lib DEL %bin%%FNAME%.lib
IF EXIST %bin%%FNAME%.dll DEL %bin%%FNAME%.dll
IF EXIST %bin%%FNAME%.exp DEL %bin%%FNAME%.exp

F77 /nologo /compile /obj:%bin%%FNAME%.obj %FNAME%.f

CL  /nologo /c /DWIN32 /Fo%bin%%CNAME%.obj /Tc%CNAME%.c

set LIBS="%lab_bin_dir%\LabHBOOK.lib"
set LIBS=%LIBS% "%lib_bin_dir%\LibUtils.lib"
LINK /nologo /dll /out:%bin%%FNAME%.dll %bin%%CNAME%.obj %bin%%FNAME%.obj %LIBS%

IF EXIST %bin%%FNAME%.obj DEL %bin%%FNAME%.obj
IF EXIST %bin%%CNAME%.obj DEL %bin%%CNAME%.obj

ENDLOCAL
@ECHO on
