#ifndef YYERRCODE
#define YYERRCODE 256
#endif

#define STRG 257
#define T_NAME 258
#define NUMBER_INTEGER 259
#define NUMBER_REAL 260
#define T_COS 261
#define T_SIN 262
#define T_TAN 263
#define T_ACOS 264
#define T_ASIN 265
#define T_ATAN 266
#define T_SQRT 267
#define T_POW 268
#define T_LOG 269
#define T_LOG10 270
#define T_EXP 271
#define T_FABS 272
#define T_COSH 273
#define T_SINH 274
#define T_TANH 275
#define T_GAUSS 276
#define T_BW 277
#define T_EXPO 278
#define T_POL1 279
#define T_POL2 280
#define T_POL3 281
#define T_POL4 282
#define T_PI 283
#define T_TRUE 284
#define T_FALSE 285
#define T_AND 286
#define T_OR 287
#define T_INT 288
#define T_SHORT 289
#define T_LONG 290
#define T_FLOAT 291
#define T_DOUBLE 292
#define T_BOOLEAN 293
#define T_BYTE 294
#define T_CHAR 295
#define T_STRING 296
#define T_JAVA_STRING 297
#define T_TUPLE 298
#define UMINUS 299
typedef union {
  int fIndex;
  unsigned long fInteger;
  double fNumber;
  Lib::Variable::eType fType;
  Lib::Variable* fVariable;
} YYSTYPE;
extern YYSTYPE Columns_lval;
