#ifndef Lib_Debug_h
#define Lib_Debug_h

#include <string>

class IPrinter;

namespace Lib {

class Debug {
public:
  Debug();
  virtual ~Debug();
  static void increment();
  static void decrement();
  static void increment(const std::string&);
  static void decrement(const std::string&);
  static void balance(IPrinter&);
  static void checkByClass(bool);
  static bool checkByClass();
};

}

#endif




