#ifndef Lib_FileReader_h
#define Lib_FileReader_h

#include <Lib/Interfaces/IReader.h>

#include <string>

class IPrinter;

namespace Lib {

class FileReader : public virtual IReader {
public: //IReader
  virtual bool read(void*,unsigned int,int&);
  virtual void disable();
  virtual void enable();
  virtual bool enabled() const;
public:
  FileReader(const std::string&,IPrinter&);
  virtual ~FileReader();
private:
  IPrinter& fPrinter;
  std::string fFileName;
  void* fFILE;
};

}

#endif
