#ifndef Lib_IAction_h
#define Lib_IAction_h

#include <string>
#include <vector>

namespace Lib {

class IAction {
public:
  virtual ~IAction() {}
  virtual void* cast(const std::string&) const = 0;
public:
  virtual const std::string& name() const = 0;
  virtual std::string execute(const std::vector<std::string>&) = 0;
};

}

#endif



