#ifndef Lib_IFunctionManager_h
#define Lib_IFunctionManager_h

#include <string>

namespace Lib {

class IFunction;

class IFunctionManager {
public:
  virtual ~IFunctionManager() {};
public:
  virtual IFunction* addFunction(const std::string&,
                                 const std::string&,
                                 void*,
                                 const std::string&) = 0;
  virtual IFunction* findFunction(const std::string&) = 0;
  virtual bool load(const std::string&,const std::string& = "") = 0;
};

}

#endif
