#ifndef Lib_ILibrary_h
#define Lib_ILibrary_h

#include <string>

typedef void (*ILibraryProcedure)();

class ILibrary {
public:
  virtual ~ILibrary() {};
public:
  virtual bool isInitialized() const = 0;
  virtual const std::string& name() const = 0;
  virtual ILibraryProcedure findProcedure(const std::string&) const = 0;
};

#endif
