#ifndef Lib_ILibraryManager_h
#define Lib_ILibraryManager_h

#include <string>

class ILibrary;

namespace Lib {class DLL;}

class ILibraryManager {
public:
  virtual ~ILibraryManager() {};
public:
  virtual ILibrary* addLibrary(const std::string&,
                               const std::string&,
                               const std::string&) = 0;
  virtual ILibrary* addLibrary(const std::string&,
                               Lib::DLL*,
                               const std::string&) = 0;
  virtual ILibrary* findLibrary(const std::string&) = 0;
};

#endif
