#ifndef Lib_Out_h
#define Lib_Out_h

#include <Lib/Interfaces/IPrinter.h> //FIXME : rm.
#include <string>

class IWriter;

namespace Lib {

class sout;

class Out;
typedef Out& (*OutFunc)(Out&); //For Lib::endl;

class Out {
public:
  Out(IWriter&);
  virtual ~Out();
private:
  Out(const Out&);
  Out& operator =(const Out&);
public:
  Out& operator<<(const char*);
  Out& operator<<(const std::string&);
  Out& operator<<(bool);
  Out& operator<<(int);
  Out& operator<<(double);
  Out& operator<<(float);
  Out& operator<<(long);
  Out& operator<<(unsigned int);
  Out& operator<<(unsigned long);
  Out& operator<<(const void*);
  Out& operator<<(OutFunc);
  Out& operator<<(const sout&);
  Out& operator<<(char);
private:
  IWriter& fWriter;
};

Out& endl(Out&);
Out& tab(Out&);

}

#endif
