#ifndef Lib_ZipReader_h
#define Lib_ZipReader_h

#include <Lib/Interfaces/IReader.h>

#include <string>

class IPrinter;

namespace Lib {

class ZipReader : public virtual IReader {
public: //IReader
  virtual bool read(void*,unsigned int,int&);
  virtual void disable();
  virtual void enable();
  virtual bool enabled() const;
public:
  static bool available();
public:
  ZipReader(const std::string&,IPrinter&);
  virtual ~ZipReader();
private:
  IPrinter& fPrinter;
  std::string fFileName;
  void* fFile;
};

}

#endif
