#ifndef OnX_CallbackData_h
#define OnX_CallbackData_h 

#include <OnX/Interfaces/ICallbackData.h>

namespace OnX {

class CallbackData : public virtual ICallbackData {
public://ICallbackData
  virtual const std::string& component() const;
  virtual const std::string& value() const;
  virtual const std::string& event() const;
  virtual int x() const;
  virtual int y() const;
public:
  CallbackData();
  CallbackData(const std::string&,
               const std::string&,
               const std::string&,
               int,int);
  CallbackData(const CallbackData&);
  virtual ~CallbackData();
  CallbackData& operator=(const CallbackData&);
private:
  std::string fComponent;
  std::string fValue;
  std::string fEvent;
  int fX;
  int fY;
};

}

#endif
