#ifndef OnX_Main_h
#define OnX_Main_h

#include <vector>
#include <string>

class IUI;

namespace OnX {

class Session;

class Main {
public:
  Main(const std::vector<std::string>&);
  virtual ~Main();
  bool isValid() const;
  int steer();
  IUI* ui() const;
private:
  bool fStatus;
  int fVerboseLevel;
  Session* fSession;
  IUI* fUI;
  int fArgc;
  char** fArgv;
};

}

#endif
