#ifndef OnX_ICyclic_h
#define OnX_ICyclic_h

#include <string>

class ICyclic {
public:
  virtual ~ICyclic() {};
public:
  virtual const std::string& name() const = 0;
  virtual void setDelay(int) = 0;
  virtual void setScript(const std::string&,const std::string&) = 0;
  virtual void start() = 0;
  virtual void stop() = 0;
  virtual void execute() = 0;
  virtual int delay() const = 0;
  virtual int iterations() const = 0;
};

#endif
