#ifndef OnX_IPageViewer_h
#define OnX_IPageViewer_h

/**
 * @author G.Barrand
 */

// Inheritance :
#include <OnX/Interfaces/IWidget.h>

class SoPage;

class IPageViewer : public virtual IWidget {
public:
  virtual ~IPageViewer() {}
  virtual void* cast(const std::string&) const = 0;
public: 
  virtual SoPage* soPage() const = 0;
  virtual void setSoPage(SoPage*) = 0;
};

#endif
