#ifndef OnX_IWidgetFactory_h
#define OnX_IWidgetFactory_h

#include <string>

class IWidgetFactory {
public:
  virtual ~IWidgetFactory() {}
public: 
  virtual bool createComponent(const std::string& aName,
                               const std::string& aClass,
                               const std::string& aParent) = 0;
};

#endif
