#ifndef OnX_WinCyclic_h
#define OnX_WinCyclic_h 

#include <OnX/Core/BaseCyclic.h>

#include <windows.h>

namespace OnX {

class WinCyclic : public BaseCyclic {
public: //ICyclic
  virtual void start();
  virtual void stop();
public:
  WinCyclic(ISession&,const std::string&,
            int,const std::string&,const std::string&);
  virtual ~WinCyclic();
private:
  static void CALLBACK timerProc(HWND,UINT,UINT,DWORD);
private:
  UINT fId;
};

}

#endif

