#ifndef HEPVis_SbStyles_h
#define HEPVis_SbStyles_h

// If adding MarkerType, have to update 
//   SoMarkerSet, SbStyle, SoStyle, SbPainterPS, SoPainterAction.
typedef enum {
  SbMarkerDot = 0,
  SbMarkerPlus = 1,
  SbMarkerAsterisk,
  SbMarkerCross,
  SbMarkerStar,
  SbMarkerCircleLine,
  SbMarkerCircleFilled,
  SbMarkerTriangleUpLine,
  SbMarkerTriangleUpFilled,
  SbMarkerTriangleDownLine,
  SbMarkerTriangleDownFilled,
  SbMarkerDavidStarLine,
  SbMarkerDavidStarFilled,
  SbMarkerSwissCrossLine,
  SbMarkerSwissCrossFilled,
  SbMarkerDiamondLine,
  SbMarkerDiamondFilled,
  SbMarkerSquareLine,
  SbMarkerSquareFilled = 18
} SbMarkerStyle;

typedef enum {
  SbAreaSolid = 0,
  SbAreaHatched,
  SbAreaChecker,
  SbAreaEdged
} SbAreaStyle;

typedef enum {
  SbProjectionNone,
  SbProjectionRZ,
  SbProjectionPHIZ,
  SbProjectionZR,
  SbProjectionZPHI
} SbProjectionType;

typedef enum {
  SbPaintingUniform,
  SbPaintingByValue,
  SbPaintingByLevel
} SbPaintingPolicy;

typedef enum {
  SbHatchingNone,
  SbHatchingRight,
  SbHatchingLeft,
  SbHatchingLeftAndRight
} SbHatchingPolicy;

typedef unsigned short SbLinePattern;

#define SbLinePattern_solid  0xFFFF
#define SbLinePattern_dashed 0x00FF
#define SbLinePattern_dotted 0x0101
#define SbLinePattern_dash_dotted 0x1C47

#define SbLinePattern_s_solid  "0xFFFF"
#define SbLinePattern_s_dashed "0x00FF"
#define SbLinePattern_s_dotted "0x0101"
#define SbLinePattern_s_dash_dotted "0x1C47"

#define SbModeling_boxes "boxes"
#define SbModeling_wire_boxes "wire_boxes"
#define SbModeling_lines "lines"
#define SbModeling_segments "segments"
#define SbModeling_points "points"
#define SbModeling_top_lines "top_lines"
#define SbModeling_texts "texts"
#define SbModeling_curve "curve"
#define SbModeling_filled_curve "filled_curve"
#define SbModeling_bar_chart "bar_chart"
#define SbModeling_solid "solid"
#define SbModeling_wire_frame "wire_frame"

#define SbEncoding_none "none"
#define SbEncoding_PAW "PAW"
#define SbEncoding_Latex "Latex"

#define SbTickModeling_hippo "hippo"
#define SbTickModeling_hplot "hplot"

#endif



