#ifndef Lab_AsciiTuple_h
#define Lab_AsciiTuple_h

// Inheritance :
#include <Lab/Core/MemoryTuple.h>

namespace Lab {

class AsciiTuple : public MemoryTuple {
public: //AIDA/ITuple
  virtual void* cast(const std::string&) const;
public:
  AsciiTuple(IPrinter&,
             const std::string&,
             const std::string&,
             const std::string&);
  virtual ~AsciiTuple();
private:
  bool readData(const std::string&);
private:
  bool read(void*);
};

}

#endif


