#ifndef Lab_BaseFactory_h
#define Lab_BaseFactory_h

#include <string>

namespace AIDA {
  class ITree;
}

class IPrinter;

namespace Lab {

class BaseObject;

class BaseFactory  {
public:
  BaseFactory(IPrinter&,AIDA::ITree&);
  virtual ~BaseFactory();
protected:
  bool manageObject(BaseObject*,const std::string&);
protected:
  IPrinter& fPrinter;
  AIDA::ITree& fTree;
};

}

#endif
