#ifndef Lab_IVectorFactor_h
#define Lab_IVectorFactor_h

#include <vector>

namespace Lab {

class IVector;

class IVectorFactory {
public: 
  virtual ~IVectorFactory() {}
public:
  virtual IVector* create(const std::string & path, const std::string & title, const std::vector<int>& orders) = 0;
  //virtual bool destroy(IVector * vector) = 0;
  virtual IVector* add(const std::string&,const IVector&,const IVector&) = 0;
  virtual IVector* subtract(const std::string&,const IVector&,const IVector&) = 0;
  virtual IVector* multiply(const std::string&,const IVector&,const IVector&) = 0;
  virtual IVector* divide(const std::string&,const IVector&,const IVector&) = 0;
  virtual IVector* add(const std::string&,const IVector&,double) = 0;
  virtual IVector* multiply(const std::string&,const IVector&,double) = 0;
};

}

#endif
