#ifndef Lab_PlotterManager_h
#define Lab_PlotterManager_h

//Inheritance :
#include <Lab/Interfaces/IPlotterManager.h>

class ISession;

namespace Lab {

class PlotterManager : public virtual IPlotterManager {
public: //IManager
  virtual const std::string& name() const;
  virtual void* cast(const std::string&) const;
public: //IPlotterManager
  virtual AIDA::IPlotter* create(const std::string&);
public:
  PlotterManager(ISession&);
  virtual ~PlotterManager();
private:
  std::string fName;
  ISession& fSession;
  std::vector<std::string> fArgs;  
};

}

#endif


