#ifndef Lab_Representer_h
#define Lab_Representer_h

class IPrinter;
namespace Lib {
  class IRelationManager;
}

class IUI;

class SbPlottableObject;
class SoPlotter;

namespace AIDA {
  class IBaseHistogram;
  class IFunction;
  class IDataPointSet;
}

namespace Lab {

class Representer {
public:
  static SbPlottableObject* represent(const AIDA::IBaseHistogram&,Lib::IRelationManager&,SoPlotter&,bool,IPrinter&,int=0);
  static SbPlottableObject* represent(const AIDA::IFunction&,Lib::IRelationManager&,SoPlotter&,IUI&,IPrinter&,int=0);
  static SbPlottableObject* represent(const AIDA::IDataPointSet&,Lib::IRelationManager&,SoPlotter&,IPrinter&,int=0);
};

}

#endif
