#ifndef Rio_AttAxis_h
#define Rio_AttAxis_h

#include <Rio/Core/Meta.h>

namespace Rio { class IBuffer;}

namespace Lab {

class RioAttAxis {
  RIO_META_HEADER(RioAttAxis)
public:
  virtual bool stream(Rio::IBuffer&);
public:
  RioAttAxis(const Rio::IDictionary&);
  virtual ~RioAttAxis();
private:
  int fNdivisions;   //Number of divisions(10000*n3 + 100*n2 + n1)
  short fAxisColor;    //color of the line axis
  short fLabelColor;   //color of labels
  short fLabelFont;    //font for labels
  float fLabelOffset;  //offset of labels
  float fLabelSize;    //size of labels
  float fTickLength;   //length of tick marks
  float fTitleOffset;  //offset of axis title
  float fTitleSize;    //size of axis title
  short fTitleColor;   //color of axis title
  short fTitleFont;    //font for axis title
};

}

#endif
