#ifndef Rio_Axis_h
#define Rio_Axis_h

#include <Rio/Core/Meta.h>
#include <Rio/Core/Named.h>

namespace HCL { class Axis;}

namespace Lab {

class RioAxis : public Rio::Named {
  RIO_META_HEADER(RioAxis)
public:
  virtual bool stream(Rio::IBuffer&);
public:
  RioAxis(const Rio::IDictionary&,HCL::Axis&);
  virtual ~RioAxis();
private:
  HCL::Axis& fAxis;
  /*
  int fNbins;          //Number of bins
  double fXmin;           //low edge of first bin
  double fXmax;           //upper edge of last bin
  TArrayD      fXbins;          //Bin edges array in X
  int fFirst;          //first bin to display
  int fLast;           //last bin to display
  unsigned char fTimeDisplay;    //on/off displaying time values instead of numerics
  std::string fTimeFormat;     //Date&time format, ex: 09/12/99 12:34:00
  */
};

}

#endif
