#ifndef Lab_RioHistogram_h
#define Lab_RioHistogram_h

#include <Rio/Core/Named.h>

namespace HCL {class Histogram;}

#include <Lab/Core/Annotation.h>

namespace Lab {

class RioHistogram : public Rio::Named {
  RIO_META_HEADER(RioHistogram)
public:
public: //Rio::IObject:
  virtual void* cast(const Rio::IClass&) const;
  virtual bool stream(Rio::IBuffer&);
public:
  RioHistogram(const Rio::IDictionary&);
  RioHistogram(const Rio::IDictionary&,HCL::Histogram&,Annotation&,const std::string&);
  virtual ~RioHistogram();
  HCL::Histogram* hclHistogram() const;
  Annotation& annotation();
private:
  HCL::Histogram* fHistogram;
  Annotation fAnnotation;
};

}

#endif
