#ifndef Lab_SWIG_h
#define Lab_SWIG_h

#include <AIDA/IAnalysisFactory.h>
#include <AIDA/ITreeFactory.h>
#include <AIDA/IHistogramFactory.h>
#include <AIDA/ITupleFactory.h>
#include <AIDA/IFunctionFactory.h>
#include <AIDA/IManagedObject.h>
#include <AIDA/ITree.h>
#include <AIDA/IAxis.h>
#include <AIDA/IHistogram1D.h>
#include <AIDA/IHistogram2D.h>
#include <AIDA/IHistogram3D.h>
#include <AIDA/IProfile1D.h>
#include <AIDA/IProfile2D.h>
#include <AIDA/ICloud1D.h>
#include <AIDA/ICloud2D.h>
#include <AIDA/ICloud3D.h>
#include <AIDA/IFunction.h>
#include <AIDA/ITuple.h>
#include <AIDA/IEvaluator.h>
#include <AIDA/IFilter.h>
#include <AIDA/IPlotter.h>
#include <AIDA/IPlotterRegion.h>
#include <AIDA/IPlotterFactory.h>
#include <AIDA/IFitResult.h>
#include <AIDA/IFitParameterSettings.h>
#include <AIDA/IFitter.h>
#include <AIDA/IFitFactory.h>
#include <AIDA/IAxisStyle.h>
#include <AIDA/IBaseStyle.h>
#include <AIDA/IBrushStyle.h>
#include <AIDA/IDataStyle.h>
#include <AIDA/IFillStyle.h>
#include <AIDA/IInfoStyle.h>
#include <AIDA/ILineStyle.h>
#include <AIDA/IMarkerStyle.h>
#include <AIDA/IPlotterStyle.h>
#include <AIDA/ITextStyle.h>
#include <AIDA/ITitleStyle.h>

#include <Lib/Interfaces/IPrinter.h>
#include <Lib/Interfaces/ITypeManager.h>
#include <Lib/fmanip.h>
#include <Lib/smanip.h>
#include <Lib/System.h>
#include <Lib/Cast.h>
#include <Lib/Randoms.h>
#include <Lib/TypeManager.h>

#include <Lab/Callbacks/AIDA.h>

#include <complex>

using namespace AIDA; //FIXME

#endif
