#ifndef Lib_FileWriter_h
#define Lib_FileWriter_h

#include <Lib/Interfaces/IWriter.h>

class IPrinter;

namespace Lib {

class FileWriter : public virtual IWriter {
public: //Lib::IWriter
  virtual bool write(const std::string&);
  virtual void disable();
  virtual void enable();
  virtual bool enabled() const;
public:
  FileWriter(const std::string&,IPrinter&);
  virtual ~FileWriter();
private:
  IPrinter& fPrinter;
  std::string fFileName;
  void* fFILE; // Do not expose FILE*.
};

}

#endif
