#ifndef Lib_Handler_h
#define Lib_Handler_h

namespace Lib {

class IType;

class Handler {
public:
  Handler(IType&,void*,void*);
  Handler(const Handler&);
  virtual ~Handler();
  Handler& operator=(const Handler&);
  IType& type() const;
  void* object() const;
  void* tag() const;
  bool equal(const Handler&) const;
private:
  IType& fType;
  void* fObject;
  void* fTag;
};

}

#endif



