#ifndef Lib_Printer_h
#define Lib_Printer_h

#include <Lib/Interfaces/IPrinter.h>

namespace Lib {

class Printer : public virtual IPrinter {
public: //Lib::IPrinter
  virtual bool write(const std::string&);
  virtual void disable();
  virtual void enable();
  virtual bool enabled() const;
public:
  Printer();
  Printer(const Printer&);
  virtual ~Printer();
  Printer& operator =(const Printer&);
};

}

#endif
