#ifndef Lib_System_h
#define Lib_System_h

#include <string>

namespace Lib {

class System {
public:
  static bool kind(std::string&);
  static bool isKindOf(const std::string&);
  static bool type(std::string&);
  static bool isTypeOf(const std::string&);
  static std::string getenv(const std::string&);
  static bool getenv(const std::string&,std::string&);
  static bool putenv(const std::string&,const std::string&);
  static int execute(const std::string&);
  static void exit();
  static std::string fileSeparator();
  static std::string quoteDirectory(const std::string&);
  static std::string fortranUnitFormat();
  static int exitFailure();
  static int exitSuccess();
  static void sleep(unsigned int);
};

}

#endif

