#ifndef Lib_ZipWriter_h
#define Lib_ZipWriter_h

#include <Lib/Interfaces/IWriter.h>

class IPrinter;

namespace Lib {

class ZipWriter : public virtual IWriter {
public: //Lib::IWriter
  virtual bool write(const std::string&);
  virtual void disable();
  virtual void enable();
  virtual bool enabled() const;
public:
  static bool available();
public:
  ZipWriter(const std::string&,IPrinter&);
  virtual ~ZipWriter();
private:
  IPrinter& fPrinter;
  std::string fFileName;
  void* fFile;
};

}

#endif
