#ifndef OnX_BaseType_h
#define OnX_BaseType_h

// Inheritance :
#include <Lib/BaseType.h>

#include <Lib/Cast.h>
#include <OnX/Interfaces/IType.h>

// Should be an embedded class.

namespace OnX {

class BaseType : public Lib::BaseType, public virtual IType {
public: //Lib::IType.
  virtual void* cast(const std::string& aTo) const {
    if(aTo=="OnX::BaseType") {
      return Lib_SCast(BaseType);
    } else if(aTo=="OnX::IType") {
      return Lib_SCast(OnX::IType);
    } else {
      return Lib::BaseType::cast(aTo);
    }
  }
public: //OnX::IType.
  virtual void beginVisualize() {}
  virtual void visualize(Lib::Identifier,void*) {}
  virtual void endVisualize() {}
public:
  BaseType(IPrinter& aPrinter):Lib::BaseType(aPrinter){}
  virtual ~BaseType() {}
};

}

#endif
