#ifndef OnX_TypeManager_h
#define OnX_TypeManager_h

#include <Lib/Interfaces/IAction.h>

namespace Lib {class ITypeManager;}

namespace OnX {

class VisualizeAction : public virtual Lib::IAction {
public: //Lib::IAction
  virtual void* cast(const std::string&) const;
  virtual const std::string& name() const;
  virtual std::string execute(const std::vector<std::string>&);
public:
  VisualizeAction(Lib::ITypeManager&);
  virtual ~VisualizeAction();
private:
  Lib::ITypeManager& fTypeManager;
  std::string fName;
};

}

#endif



