#ifndef OnX_GtkCyclic_h
#define OnX_GtkCyclic_h 

#include <OnX/Core/BaseCyclic.h>

#include <gtk/gtk.h>

namespace OnX {

class GtkCyclic : public BaseCyclic {
public: //ICyclic
  virtual void start();
  virtual void stop();
public:
  GtkCyclic(ISession&,const std::string&,
            int,const std::string&,const std::string&);
  virtual ~GtkCyclic();
  void setIdentifer(int);
  bool stopIt() const;
private:
  int fId;
  bool fStopIt;
};

}

#endif

