#ifndef OnX_IRepresenter_h
#define OnX_IRepresenter_h

#include <string>

class IRepresentation;

class IRepresenter {
public:
  virtual ~IRepresenter() {};
public:
  virtual IRepresentation* represent(const std::string&,
                                     const std::string& = "") = 0;
  virtual bool addRepresentation(const IRepresentation&,IRepresentation*) = 0;
};

#endif
