#ifndef OnX_IStyleManager_h
#define OnX_IStyleManager_h

#include <string>
#include <vector>

class IStyleManager {
public:
  virtual ~IStyleManager() {};
public:
  virtual bool findStyle(const std::string&,std::string&) = 0;
  virtual bool loadFile(const std::string&) = 0;
  virtual std::vector<std::string> styles() const = 0;
};

#endif
