#ifndef OnX_IWidget_h
#define OnX_IWidget_h

/**
 * Pure abstract interface for a widget.
 *
 * 
 * @author G.Barrand
 */

#include <string>

class IWidgetClass;

class IWidget {
public:
  virtual ~IWidget() {}
  virtual void* cast(const std::string&) const = 0;
public: 
  virtual IWidgetClass& widgetClass() const = 0;
  virtual std::string name() const = 0;
  virtual void* nativeWidget() const = 0;
};

#endif
