#ifndef OnX_NSPageViewer_h
#define OnX_NSPageViewer_h 

// Inheritance :
#import <Foundation/NSObject.h>

#import <Foundation/NSGeometry.h>

@class NSView;
@class SCExaminerController;
@class NSMutableArray;
@class SCView;
@class OnX_NSAction;

class SoPage;

@interface NSPageViewer : NSObject {
  SCExaminerController* fExaminerController;
  SCView* fPageView;
  SoPage* fPage;
  NSMutableArray* fDestroyActions;
}
- (id)initWithFrame:(NSRect)aRect;
- (void)dealloc;
- (SoPage*)page;
- (NSView*)pageView;
- (BOOL)setParameter:(NSString*)aWhat value:(NSString*)aValue;
- (void)addDestroyAction:(OnX_NSAction*)aAction;
@end

#endif
