#ifndef OnX_SWIG_h
#define OnX_SWIG_h

// Lib :
#include <Lib/Interfaces/IPrinter.h>
#include <Lib/Interfaces/ITypeManager.h>
#include <Lib/fmanip.h>
#include <Lib/smanip.h>
#include <Lib/System.h>
#include <Lib/Cast.h>
#include <Lib/Randoms.h>
#include <Lib/TypeManager.h>

// OnX :
#include <OnX/Interfaces/IScriptManager.h>
#include <OnX/Interfaces/IUI.h>
#include <OnX/Interfaces/IPage.h>
#include <OnX/Interfaces/ICyclic.h>
#include <OnX/Interfaces/IRepresentation.h>
#include <OnX/Interfaces/IRepresenter.h>
#include <OnX/Interfaces/IRegion.h>
#include <OnX/Interfaces/ICallbackData.h>
#include <OnX/Interfaces/IWidgetClass.h>
#include <OnX/Interfaces/IWidget.h>
#include <OnX/Interfaces/IPageViewer.h>

// Put two below lines before others for VisualC.
#include <OnX/Inventor/iv.h>         
#include <OnX/Inventor/HEPVisWrap.h>

#include <OnX/Core/Session.h>
#include <OnX/Core/OnX.h>

#include <complex>

#endif
